# Gimp.ColorProfile.prototype.get_format

    function get_format(format: Babl.Object, intent: Gimp.ColorRenderingIntent): Babl.Object {
        // Gjs wrapper for gimp_color_profile_get_format()
    }

This function takes a Gimp.ColorProfile and a #Babl format and returns a new #Babl format with profile's RGB primaries and TRC, and format's pixel layout.

Since 2.10

format

  a #Babl format

intent

  a Gimp.ColorRenderingIntent

Returns

  the new #Babl format.